#
# spec file for package hplip17 (Version 1.7.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel a2ps aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blt brp-check-internal bzip2 coreutils cpio cpp cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-glib desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel foomatic-filters freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal info insserv klogd less libacl libart_lgpl libattr libcom_err libdrm libdrm-devel libexif libgcc libgphoto2 libgssapi libieee1284 libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libusb libxcrypt libxml2 libzio logrotate m4 make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openldap2-client openmotif-libs openslp openssl openssl-devel pam pam-modules patch perl perl-TermReadKey permissions pkgconfig popt popt-devel post-build-checks procinfo procps psmisc pwdutils python python-devel python-openssl python-qt python-tk python-xml qscintilla qt3 qt3-devel rcs readline readline-devel resmgr rpm rpm-devel rrdtool sane sed sensors strace sysfsutils sysvinit tar tcl tcpd texinfo timezone tk udev unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           hplip17
BuildRequires:  cups cups-devel libdrm-devel libjpeg-devel libusb net-snmp-devel pkgconfig python-devel python-openssl python-qt python-tk python-xml qt3-devel readline-devel sane update-desktop-files
Summary:        HP's Printing, Scanning, and Faxing Software: Cutting Edge Version
# HPLIP has reached 1.0 status. With this release a date encoded revision number is used:
# x.y.m : x = major release number, y = year (eg: 6 = 2006), m = month (eg: 6a = second release in June)
# Official releases have a 3 digit number and release candidates have a 4 digit number: x.y.m.rc
Version:        1.7.2
Release:        0.15
%define hpijsVersion 2.7.2
Group:          Hardware/Printing
License:        BSD 3-Clause; GPL v2 or later; X11/MIT
Url:            http://hpinkjet.sourceforge.net/
# Source0...Source9 is for sources from HP:
# URL for Source0: http://superb-west.dl.sourceforge.net/sourceforge/hplip/hplip-1.7.2.tar.gz
Source0:        hplip-%{version}.tar.bz2
# Patch0...Patch9 is for patches from HP:
# Patch10...Patch99 is for Suse patches for the sources from HP:
# Fix "... is used uninitialized ..." warnings:
Patch10:        fix-uninitialized-variables.diff
# Change installation directory for PPDs:
Patch11:        change-ppd-install-dir.diff
# Change installation directory for the documentation:
Patch12:        change-doc-install-dir.diff
# Replace insecure popen by subprocess in hpssd:
Patch13:        hpssd-replace-popen-by-subprocess.diff
# hplip-validate-uri-1.7.2.patch and hplip-static-alerts-table-1.7.2.patch fix
# [CVE-2008-2940]: "hpssd of hplip allows unprivileged user to trigger alert mail":
Patch14:        hplip-validate-uri-1.7.2.patch
Patch15:        hplip-static-alerts-table-1.7.2.patch
# hplip-parse-crash-1.7.2.patch fixes
# [CVE-2008-2941]: "hplip hpssd.py Denial-Of-Service parsing vulnerability":
Patch16:        hplip-parse-crash-1.7.2.patch
# Source100... is for special Suse sources:
# Source100 is the primary source for the suse_update_desktop_file stuff.
# It is found automatically in $RPM_SOURCE_DIR by 'suse_update_desktop_file -i hplip':
Source100:      hplip.desktop
# Source101 is a wrapper for hp-toolbox which shows meaningful error messages even under X.
# hp-toolbox.wrapper is called via hplip.desktop.
Source101:      hp-toolbox.wrapper
# Source102 is a small man page for /usr/bin/hpijs:
Source102:      hpijs.1.gz
# Patch100... is for special Suse patches:
# Patch100 changes the init script after it was installed:
Patch100:       hplip-init-script.diff
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         coreutils, /bin/grep, /bin/sed, /usr/bin/find
Requires:       hplip17-hpijs, foomatic-filters, python-xml, python-qt
# Either the new hplip17 packages or the old hplip packages can be installed.
# There should be no automated replacement, therefore the new package
# does not provide hplip (see Suse Bugzilla bug #251830).
# There should be a nice RPM upgrade without conflict error messages,
# therefore hplip17 does not conflict with hplip but obsoletes it
# so that RPM silently removes hplip when hplip17 is installed
# and vice versa (therefore a plain obsoletes without version):
Obsoletes:      hplip
# Skip testing devel dependencies required by libtool .la files by the following comment:
# skip-check-libtool-deps

%description
This is a cutting edge version of HPLIP.

An update from version 0.9.7 to this version results incompatibilities.

The new version uses libusb for USB printer access and accordingly USB
printer DeviceURIs of the "hp" backend changed from something like
"hp:/usb/HP_LaserJet_1220?device=/dev/usb/lp1" to
"hp:/usb/HP_LaserJet_1220?serial=00XXXXXXXXXX". The latter does no
longer depend on the physical path (e.g. "usb/lp1") how the USB ptinter
is currently connected to the USB.

Because of the incompatibilities the new version is provided as totally
separated package under separated names hplip17 and hplip17-hpijs so
that an existing working configuration with version 0.9.7 will not be
automatically updated to the new version.

For a clean update do:

Stop the CUPS printing system: "rccups stop"

Stop the HPLIP services if you use them: "rchplip stop"

Update the HPLIP packages. When you install the new hplip17 packages,
old hplip packages will be automatically removed (hplip17 obsoletes
hplip).

Start the HPLIP services if you use them: "rchplip start"

Start the CUPS printing system: "rccups start"

If you use the "hp" backend for USB printers, adapt the DeviceURI for
existing queues to the new style: Run "lpinfo -v" to get the correct
new DeviceURI. Run "lpadmin -p queue-name -v new-DeviceURI" to set the
new DeviceURI.

If you use HPLIP for scanning, you must also re-enable the "hpaio" line
in /etc/sane.d/dll.conf.

You may like to have a look at HP's /usr/bin/hp-setup tool.

General info regarding HPLIP:

The Hewlett-Packard Linux Imaging and Printing project (HPLIP) provides
a unified single and multifunction connectivity solution for HP
printers and scanners (in particular, HP all-in-one devices).

HPLIP provides unified connectivity for printing, scanning, sending
faxes, photo card access, and device management and is designed to work
with CUPS.

It includes the Ghostscript printer driver HPIJS for HP printers and a
special "hp" CUPS back-end that provides bidirectional communication
with the device (required for HP printer device management).

It also includes the SANE scanner driver "hpaio" for HP all-in-one
devices.

Basic PC send fax functionality is supported on a number of devices.
The special "hpfax" CUPS back-end is required to send faxes. Direct
uploading (i.e. without print and scan) of received faxes from the
device to the PC is not supported.

The "hp-toolbox" program is provided for device management. The
"hp-sendfax" program must be used to send faxes. The "hp-setup" program
can be used to set up HP all-in-one devices.

The HPLIP project is open source software and uses GPL-compatible
licenses. For more information, see:

http://hpinkjet.sourceforge.net/

/usr/share/doc/packages/hplip/index.html



Authors:
--------
    David Suffield <david.suffield@hp.com>
    Cory Meisch <cory.meisch@hp.com>
    Yie Shiyun <shiyun.yie@hp.com>
    Donald J. Welch <donald.welch@hp.com>
    Cauligi Raghothama S. <raghothama.cauligi@hp.com>

%debug_package
%package hpijs
License:        BSD 3-Clause; GPL v2 or later; X11/MIT
Summary:        HPIJS for HP's printing and scanning software HPLIP: Cutting Edge Version
Group:          Hardware/Printing
# hplip17-hpijs and hpijs-standalone both contain /usr/bin/hpijs:
Conflicts:      hpijs-standalone
# Either the new hplip17 packages or the old hplip packages can be installed.
# There should be no automated replacement, therefore the new package
# does not provide hplip-hpijs (see Suse Bugzilla bug #251830).
# There should be a nice RPM upgrade without conflict error messages, therefore
# hplip17-hpijs does not conflict with hplip-hpijs but obsoletes it
# so that RPM silently removes hplip-hpijs when hplip17-hpijs is installed
# and vice versa (therefore a plain obsoletes without version):
Obsoletes:      hplip-hpijs

%description hpijs
This is a cutting edge version of HPIJS which is a Ghostscript printer
driver for HP printers.

An update from version 0.9.7 to this version may result
incompatibilities, see the main-package hplip17.

This sub-package includes only the hpijs binary and the libhpip library
which is needed to run it. Additionally it needs at least the CUPS
library in the package cups-libs. Normally (in particular when used
with the CUPS printing system) the HPIJS driver needs the rest of HP's
printing and scanning software in the package hplip17 (in particular
the PPD files for CUPS). For special cases (e.g. for LPRng/lpdfilter or
for a small printing system) it is possible to use only the hpijs
binary and Ghostscript.

For full documentation and license see the main-package hplip17.



Authors:
--------
    David Suffield <david.suffield@hp.com>
    Cory Meisch <cory.meisch@hp.com>
    Yie Shiyun <shiyun.yie@hp.com>
    Donald J. Welch <donald.welch@hp.com>
    Cauligi Raghothama S. <raghothama.cauligi@hp.com>

%prep
# Be quiet when unpacking:
%setup -q -n hplip-1.7.2
# Fix "... is used uninitialized ..." warnings:
%patch10
# Change installation directory for PPDs:
%patch11
# Change installation directory for the documentation:
%patch12
# Replace insecure popen by subprocess in hpssd:
%patch13
# [CVE-2008-2940] "hpssd of hplip allows unprivileged user to trigger alert mail":
%patch14
%patch15
# [CVE-2008-2941] "hplip hpssd.py Denial-Of-Service parsing vulnerability":
%patch16

%build
# If AUTOMAKE='automake --foreign' is not set, autoreconf (in fact automake)
# complains about missing files like NEWS, README, AUTHORS, ChangeLog
# in each directory where a Makefile.am exists:
AUTOMAKE='automake --foreign' autoreconf --force --install
# Set our preferred architecture-specific flags for the compiler and linker:
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# Regarding the configure options see tech_docs/tarball_install.html (not very explanatory):
# --disable-rpm-install      disables sane, icon, /etc/hp and /etc/init.d install (default = disabled)
# --disable-foomatic-install disables foomatic install (HPIJS option, default = enabled)
# --disable-cups-install     disables cups install (HPIJS option, default = enabled)
#                            CUPS install would do:
#                            (1) remove any old HP HPIJS PPD files from the CUPS PPD directory
#                            (2) symlink the HP HPIJS PPD files to the CUPS PPD directory
#                            (3) symlink foomatic-rip to the CUPS filter directory.
# --disable-network-build    disables network support, will not link with libsnmp (default = enabled)
# --disable-pp-build         disables parallel port support (default = enabled)
# --enable-scan-build    enable scanner build (default=yes)
# --enable-gui-build    enable gui build (default=yes)
# --enable-fax-build    enable fax build (default=yes)
# rpm-install is no longer needed because "make install DESTDIR=/tmp/myhplip" works correctly now.
# disable-cups-install avoids useless stuff when building a RPM.
./configure --prefix=/usr --libdir=%_libdir --disable-cups-install
make

%install
make install DESTDIR=%{buildroot}
# Remove the installed /etc/sane.d/dll.conf
# because this is provided by the sane package:
rm %{buildroot}%{_sysconfdir}/sane.d/dll.conf
# Move /usr/lib/libsane-hpaio.* to where SANE expects them:
mv -f %{buildroot}%{_libdir}/libsane-hpaio.* %{buildroot}%{_libdir}/sane/
# Remove the installed /usr/bin/foomatic-rip
# because this is provided by the foomatic-filters package:
rm %{buildroot}%{_bindir}/foomatic-rip
# Exchange the non-working and deactivated "killall -HUP cupsd" line:
patch %{buildroot}%{_initrddir}/hplip %{PATCH100}
# Add the usual 'rc'-link to the runlevel script:
install -d %{buildroot}%{_sbindir}
ln -s ../..%{_initrddir}/hplip %{buildroot}%{_sbindir}/rchplip
# Make some general tests and adjustments for all PPDs (see manufacturer-PPDs.spec):
pushd %{buildroot}%{_datadir}/cups/model/manufacturer-PPDs/hplip
gunzip *.ppd.gz
# Correct or remove non-working PPDs:
# Several HP PPDs contain "600x600x2dpi" which is not allowed
# according to the Adobe PPD specification section 5.9
# and which can be simply replaced by "600x1200dpi"
# because "600x1200dpi" is not used elsewhere in the PPD.
# Some PPDs contain a "*cupsFilter: ... hppostprocessing" line
# which cannot work because there is no "hppostprocessing" filter.
# Some PPDs contain "1284DeviceId" which must be "1284DeviceID".
# Some PPDs contain "* PageRegion" which must be "*PageRegion".
for p in *.ppd
do perl -pi -e 's/600x600x2dpi/600x1200dpi/;' $p
   grep -q '^\*cupsFilter:.*hppostprocessing' $p && rm -v $p
   perl -pi -e 's/1284DeviceId/1284DeviceID/;' $p
   perl -pi -e 's/\* PageRegion/*PageRegion/;' $p
done
# HP_LaserJet_5Si.ppd works only when this printer has the optional PostScript module:
sed -i -e '/^\*NickName:/s/ (recommended)//' HP_LaserJet_5Si.ppd
sed -i -e '/^\*ModelName:/s/5Si/5Si MX/' HP_LaserJet_5Si.ppd
# HP_LaserJet_5MP.ppd works only for the model with the built-in PostScript module ("MP"):
sed -i -e '/^\*ModelName:/s/5P/5MP/' HP_LaserJet_5MP.ppd
# Change default media size to A4 if this is an available choice in the PPD and then
# set DefaultPageSize, DefaultPageRegion, DefaultImageableArea, DefaultPaperDimension to A4:
for p in *.ppd
do for i in PageSize PageRegion ImageableArea PaperDimension
   do if grep -q "^\*$i[[:space:]]*A4[:/]" $p
      then grep -q "^\*Default$i:[[:space:]]*A4\$" $p || perl -pi -e "s/^\*Default$i:.*/\*Default$i: A4/" $p
      fi
   done
done
# Final test by cupstestppd:
# Only keep files which don't FAIL for cupstestppd.
# To save disk space gzip the files (gzipped PPDs can also be used by CUPS):
for p in *.ppd
do cupstestppd $p || { rm -v $p ; continue ; }
   gzip $p
done
popd
# End of the general tests and adjustments for all PPDs.
# Desktop menue entry stuff:
# Install the wrapper for hp-toolbox:
install -m 755 %{SOURCE101} %{buildroot}%{_bindir}/hp-toolbox.wrapper
# Install /usr/share/hplip/data/images/HPmenu.png as desktop icon file:
install -d %{buildroot}%{_datadir}/pixmaps
install -m 644 %{buildroot}%{_datadir}/hplip/data/images/HPmenu.png %{buildroot}%{_datadir}/pixmaps/HPmenu.png
# Set up and install the desktop menue entry stuff using "Categories=System;Monitor;"
# and remove HP's hplip.desktop file before because we use Source100:
rm %{buildroot}%{_datadir}/applications/hplip.desktop
%suse_update_desktop_file -i hplip System Monitor
# Install the man page for /usr/bin/hpijs:
install -d %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE102} %{buildroot}%{_mandir}/man1/
# Remove executable permissions where not needed:
chmod a-x %{buildroot}%{_datadir}/hplip/installer/images/*

%post
/sbin/ldconfig
exit 0

%triggerin -- sane
# As hplipi17 can be used for plain printers it cannot "PreReq sane".
# Therefore if sane is installed it may be installed or updated after hplip17.
# In this case trigger to add the SANE backend "hpaio" to /etc/sane.d/dll.conf if it is not there.
# To be safe there is a test that /etc/sane.d/dll.conf is writable.
if [ -w /etc/sane.d/dll.conf ]
then if ! grep -q 'hpaio' /etc/sane.d/dll.conf
     then echo -e '# The hpaio backend is provided by the hplip17 package:\n#hpaio' >>/etc/sane.d/dll.conf
     fi
fi
exit 0

%preun
# If the package was removed and if it was updated
# remove all byte-compiled Python .pyc (and perhaps .pyo) files
# which are created at run-time by Python in /usr/share/hplip/.
# Use a generic method via "find" so that it works in any case
# without the need to maintain a long list of individual files.
# Even if this may accidentally remove "foreign" .pyc/.pyo files
# which do not originate from matching .py files from this package
# (e.g. third-party stuff in /usr/share/hplip/), there is no damage
# because Python could re-create them or work only with .py files.
find /usr/share/hplip/ -name '*.py[co]' -delete
exit 0

%postun 
/sbin/ldconfig
# If the package was removed (but not if it was updated)
# then remove the hpaio lines in /etc/sane.d/dll.conf.
# Don't remove them when the hplip package was automatically
# replaced by the hplip17 package (via RPM obsoletes) or vice versa.
# Because postun of the old package runs last (after triggerin -- sane)
# it is done via a special "ls" test if any libsane-hpaio.so exists
# (e.g. there could be only 32-bit installed on 64-bit hardware).
# If the "ls" test does not fail, some kind of HPLIP is installed.
# The package sane may not be installed (see triggerin)
# and therefore the test that /etc/sane.d/dll.conf is writable.
# The "exit 0" is necessary, otherwise the postun script
# would exit with non-zero exit-code if the package was not removed.
if [ "$1" = "0" ]
then if ! ls /usr/lib*/sane/libsane-hpaio.so* &>/dev/null
     then [ -w /etc/sane.d/dll.conf ] && sed -i -e '/hpaio/d' /etc/sane.d/dll.conf
     fi
fi
exit 0

%triggerpostun -- hplip
# This is a workaround to fix a bad side-effect of the postun script
# in an older hplip package which has not yet the additional "ls" test
# if any libsane-hpaio.so exists in its postun script.
# If an old hplip is removed because it should be replaced by hplip17,
# the postun script of the old package runs last so that
# the hpaio lines in /etc/sane.d/dll.conf are removed.
# But even "laster" this triggerpostun runs which re-adds those lines
# in the same way as the above "triggerin -- sane" does:
if [ -w /etc/sane.d/dll.conf ]
then if ! grep -q 'hpaio' /etc/sane.d/dll.conf
     then echo -e '# The hpaio backend is provided by the hplip17 package:\n#hpaio' >>/etc/sane.d/dll.conf
     fi
fi
exit 0

%files
%defattr(-, root, root)
%config %{_sysconfdir}/hp/
%{_initrddir}/hplip
%{_sbindir}/rchplip
%{_datadir}/hplip/
%{_sbindir}/hpiod
%{_bindir}/hp-align
%{_bindir}/hp-check
%{_bindir}/hp-clean
%{_bindir}/hp-colorcal
%{_bindir}/hp-fab
%{_bindir}/hp-firmware
%{_bindir}/hp-info
%{_bindir}/hp-levels
%{_bindir}/hp-makecopies
%{_bindir}/hp-makeuri
%{_bindir}/hp-print
%{_bindir}/hp-probe
%{_bindir}/hp-sendfax
%{_bindir}/hp-setup
%{_bindir}/hp-testpage
%{_bindir}/hp-timedate
%{_bindir}/hp-toolbox
%{_bindir}/hp-unload
%{_libdir}/python%{py_ver}/site-packages/cupsext*
%{_libdir}/python%{py_ver}/site-packages/pcardext*
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/hp
%{_libdir}/cups/backend/hpfax
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-hpaio.*
%dir %{_datadir}/cups
%dir %{_datadir}/cups/model
%dir %{_datadir}/cups/model/manufacturer-PPDs
%{_datadir}/cups/model/manufacturer-PPDs/hplip/
%doc %{_defaultdocdir}/hplip/
%{_bindir}/hp-toolbox.wrapper
%{_datadir}/pixmaps/HPmenu.png
%{_datadir}/applications/hplip.desktop

%files hpijs
%defattr(-, root, root)
%doc doc/tech_docs/hpijs.html doc/tech_docs/device_classes.html
%doc %{_mandir}/man1/hpijs.1.gz
%{_bindir}/hpijs
%{_libdir}/libhpip.*

%changelog
* Wed Aug 20 2008 - jsmeix@suse.de
- hplip-validate-uri-1.7.2.patch and
  hplip-static-alerts-table-1.7.2.patch fix [CVE-2008-2940]
  "hpssd of hplip allows unprivileged user to trigger alert mail"
  and hplip-parse-crash-1.7.2.patch fixes [CVE-2008-2941]
  "hplip hpssd.py Denial-Of-Service parsing vulnerability"
  (Novell/Suse Bugzilla bnc#414608).
* Fri Oct 05 2007 - jsmeix@suse.de
- hpssd-replace-popen-by-subprocess.diff replaces insecure popen
  by subprocess for the hpssd (Suse Bugzilla bug #331015).
* Tue Apr 10 2007 - jsmeix@suse.de
- Removed "Supplements: ghostscript_any" from hplip17-hpijs
  to avoid Suse Bugzilla bug #260521.
  With the supplements, hplip17-hpijs would be preferred
  over hplip-hpijs even if hplip is installed which leads to a
  conflict because hplip17-hpijs cannot be installed with hplip
  (either the hplip17* or the hplip* packages can be installed).
* Wed Mar 07 2007 - jsmeix@suse.de
- Removed "Provides" because there should be no automated
  replacement of hplip packages with hplip17 packages
  during upgrade to SLE10-SP1 (or installation of SLE10-SP1).
  There should be a nice upgrade without conflict error messages,
  therefore the hplip17 packages do not conflict with the hplip
  packages but only obsolete them (Suse Bugzilla bug #251830).
* Thu Mar 01 2007 - jsmeix@suse.de
- Updated to version 1.7.2:
  Several more supported Officejet Pro devices.
  New OJProKx50 device class (derived from DJGenericVIP).
  Major hp-toolbox upgrade/redesign.
  Many bug fixes (no Suse bugs).
  fix-buffer-overflow.patch and hplip-1.7.1-1.patch are no longer
  needed because the bugs are now fixed in the sources.
- For SLE10 SP1 there are some special changes:
  An update from version 0.9.7 to 1.7.2 results incompatibilities
  (in particular USB printer DeviceURIs changed, see the
  change log entry dated Fri May 19 below). Therefore version
  1.7.2 in SLE10 SP1 is provided as totally separated package
  under separated names hplip17 and hplip17-hpijs so that
  an existing working configuration with version 0.9.7
  will not be automatically updated to the new version.
  The separated name requires a special "triggerpostun -- hplip"
  to fix a bad side-effect of the old hplip postun script.
  SLE10 has package name sane (not sane-backends) so that
  the changes for sane-backends (see change log entry dated
  Mon Jan 29) are reverted to what there was before.
* Fri Feb 16 2007 - jsmeix@suse.de
- Added a fix for fat.c to fix-buffer-overflow.patch
  to aviod access when array subscript is above array bounds
  (Suse Bugzilla bug #243047).
- Remove all byte-compiled Python .pyc (and perhaps .pyo)
  files which are created at run-time in /usr/share/hplip/
  via preun script (Suse Bugzilla bug #244451).
* Mon Feb 05 2007 - jsmeix@suse.de
- fix-buffer-overflow.patch fixes a too small string buffer
  which overflows in line 310 in ljcolor.cpp.
- Moved the hpijs man page to the hplip-hpijs sub-package
  so that there is no same file in hplip and hpijs-standalone
  (hplip-hpijs and hpijs-standalone conflict with each other).
* Thu Feb 01 2007 - jsmeix@suse.de
- hplip-1.7.1-1.patch from HP fixes Deskjet D4100/D4160
  christmas-tree (firmware hangs up with flashing LEDs)
  on second print job.
- Removed /usr/bin/hpijs.without-libcups from hplip-hpijs
  to get rid of confusing RPM package requirements (hplip-hpijs
  requires cups-libs because of /usr/bin/hpijs).
- Created new package hpijs-standalone and hpijs-standalone.spec
  for a special version of /usr/bin/hpijs which neither needs
  a HPLIP library nor a CUPS library to run it.
* Wed Jan 31 2007 - jsmeix@suse.de
- Removed explicite fstack-protector-all from CFLAGS and CXXFLAGS
  because fstack-protector will be enabled by default.
* Mon Jan 29 2007 - jsmeix@suse.de
- Package 'sane' was renamed to 'sane-backends'.
  Adapted it so that it works with 'sane-backends'
* Thu Jan 25 2007 - jsmeix@suse.de
- Updated to version 1.7.1:
  Many bug fixes (no Suse bugs).
  No new supported models but enhancements for several models.
  For details see release_notes.html
- Removed the fix for uninitialized file pointer in api/model.c
  from fix-uninitialized-variables.diff because it is now
  fixed in the sources.
* Fri Jan 19 2007 - jsmeix@suse.de
- Added fix for uninitialized file pointer in api/model.c to
  fix-uninitialized-variables.diff (Suse Bugzilla bug #236709).
* Fri Jan 12 2007 - jsmeix@suse.de
- Since version 1.6.12 /usr/bin/hpijs is linked with libcups
  so that the package hplip-hpijs could be no longer installed
  without at least the package cups-libs. Therefore an additional
  special /usr/bin/hpijs.without-libcups is built which does not
  require the CUPS library.
* Wed Dec 20 2006 - jsmeix@suse.de
- Updated to version 1.6.12:
  Three more supported LaserJet printers.
  Many bug fixes (no Suse bugs).
  For details see release_notes.html
  Added SANE_DEBUG_HPAIO support for the hpaio SANE backend.
  The new models.dat file replaces the .xml files. The hplip_api
  can be used to get model attributes without running the HPLIP
  daemons. See hplip_api.h for reference (this affects the Suse
  Bugzilla bugs #184798 and #184824).
- Fixed hp-toolbox.wrapper to catch 'error' regardless of the case
  (see Suse Bugzilla bug #229620).
* Tue Oct 17 2006 - jsmeix@suse.de
- Updated to version 1.6.10:
  Several more supported LaserJet printers.
  Many bug fixes (no Suse bugs).
- Fixed typo in keyword in some LaserJet PPDs
  ("* PageRegion" -> "*PageRegion").
* Mon Sep 18 2006 - jsmeix@suse.de
- Updated to version 1.6.9:
  Added support CD/DVD label printing (ie: PS D5100).
  Several more supported Photosmart printers.
  Many bug fixes (no Suse bugs).
* Mon Sep 11 2006 - jsmeix@suse.de
- Using generalised cupsext* and pcardext* in the files section
  (instead of explicit only cupsext.so and pcardext.so)
  so that it works now both for Python 2.4 and 2.5
  (the latter installs additional *.egg-info files).
* Mon Sep 04 2006 - jsmeix@suse.de
- Exchanged the hard RPM requirement for ghostscript_any by a
  supplements entry for hplip-hpijs so that there is no longer
  a mutual (cyclic) hard RPM dependency between hplip-hpijs
  and ghostscript-library.
* Thu Aug 03 2006 - jsmeix@suse.de
- Updated to version 1.6.7:
  Changed from dynamic IP ports to static IANA IP ports
  for hpiod (2208) and hpssd (2207).
  Two more supported Photosmart printers.
  Several bug fixes (no Suse bugs).
* Mon Jul 17 2006 - jsmeix@suse.de
- Fixed PPDs which contain "1284DeviceId" which must be
  "1284DeviceID" (detected by new CUPS 1.2 cupstestppd).
* Wed Jun 28 2006 - jsmeix@suse.de
- Updated to maintenance release 1.6.6a:
  This provides various minor fixes and enhancements.
  For details see doc/release_notes.html in the source
  or /usr/share/doc/packages/hplip/release_notes.html
* Mon Jun 19 2006 - jsmeix@suse.de
- Updated to version 1.6.6:
  HPLIP has reached 1.0 status.
  With this release a date encoded revision number x.y.m is used:
  x = major release number, y = year (6=2006), m = month (6=June)
  Correct URLs in HTML docs (obsoletes fix-doc-hrefs.diff).
  Removed DeviceOpen from hp backend. This fixes two problems:
  1) usblp will no longer be removed for device discovery
  2) device discovery will no longer cause Inkjets to power-up.
  Added hpaio.desc file for SANE.
  Several more supported printers.
- Cleaned up build (simplified spec file):
  Changed install dir for PPDs and doc in Makefile.am.
  Using configure without rpm-install.
  Using configure with --disable-cups-install.
  Links to work around inconsistent naming of python scripts
  and links to hpfax backend and its associated PPD file
  are no longer needed.
* Fri Jun 09 2006 - jsmeix@suse.de
- Added man page for /usr/bin/hpijs (hpijs.1.gz).
- Fixed wrong URLs in HTML documentation (fix-doc-hrefs.diff).
- Added links to work around inconsistent naming of python scripts.
- Added links to hpfax backend and its associated PPD file
  to make them available as usual for CUPS setup tools.
* Mon May 22 2006 - jsmeix@suse.de
- Fixed typo (missing '"') in hplip-init-script.diff
* Fri May 19 2006 - jsmeix@suse.de
- Updated to version 0.9.11:
  Revised and updated documentation.
  Some more supported all-in-one devices and printers.
  Several bug fixes (no Suse bugs).
- Updated to version 0.9.10:
  Several bug fixes (no Suse bugs).
- Updated to version 0.9.9:
  Uses libusb for all USB I/O.
  CUPS USB DeviceURIs must be changed from
  "hp:/hp_model?device=/dev/usb/lpX" (no longer supported)
  to "hp:/hp_model?serial=xxxxxxxx".
  One more supported all-in-one device.
  Several bug fixes (no Suse bugs).
- Updated to version 0.9.8:
  New PC send fax support via special CUPS backend (hpfax)
  and special HP-Fax-hplip.ppd PPD file
  and a new send fax UI (hp-sendfax).
  Some more supported printers.
  Several bug fixes (no Suse bugs).
* Wed Apr 26 2006 - jsmeix@suse.de
- Fixed PPDs for "LaserJet 5Si" and "LaserJet 5MP"
  (see Suse bugzilla bug #164991).
* Fri Feb 24 2006 - jsmeix@suse.de
- Fixed an array index underflow (for LJ1010, LJ1012)
  in ljfastraster.cpp (Suse Bugzilla #152720).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - jsmeix@suse.de
- Set compiler flag "-fstack-protector-all" to build it with
  "Stack Protector" via a so called "canary" (requires gcc >= 4.1)
* Wed Jan 04 2006 - jsmeix@suse.de
- Moved /usr/lib[64]/libhpip.* library files to the hplip-hpijs
  sub-package because /usr/bin/hpijs requires libhpip but for
  special cases (e.g. for a minimal printing system) it should
  be possible to use only HPIJS without the rest of HPLIP.
* Tue Jan 03 2006 - jsmeix@suse.de
- Updated to version 0.9.7
  including the additional hplip-0.9.7-2.patch from HP.
* Thu Dec 22 2005 - ro@suse.de
- requires: PyQt -> python-qt
* Thu Dec 01 2005 - jsmeix@suse.de
- Removed unneeded KDE packages from "neededforbuild" since
  the new package python-qt was split from kdebindings3-python
  (see Suse bugzilla bug #135250).
* Mon Nov 28 2005 - jsmeix@suse.de
- Replaced requirement for the package kdebindings3-python
  by a generic requirement for the RPM capability PyQt
  to avoid needless dependencies to KDE libraries
  (see Suse bugzilla bug #135250).
* Tue Nov 22 2005 - jsmeix@suse.de
- Added -fno-strict-aliasing to the CXXFLAGS to avoid problems
  in ljfastraster.cpp (line 1213) and hpijs.cpp (lines 86, 223).
* Fri Nov 18 2005 - jsmeix@suse.de
- Updated to version 0.9.6
* Wed Sep 21 2005 - jsmeix@suse.de
- Updated to version 0.9.5
  including the additional hplip-0.9.5-3.patch from HP.
* Mon Sep 12 2005 - jsmeix@suse.de
- Several PPDs contain "600x600x2dpi" which is not allowed
  according to the Adobe PPD specification section 5.9
  and which is therefore simply replaced by "600x1200dpi"
  (see Suse bugzilla bug #116393).
* Mon Aug 29 2005 - jsmeix@suse.de
- Removed a non-working PPD.
- Fix "... is used uninitialized ..." warning.
* Tue Jul 26 2005 - jsmeix@suse.de
- Updated to version 0.9.4
- Removed obsolete fixes for missing class prototypes.
- Removed obsolete fixes for HP_Business_Inkjet_3000.ppd
- Added a fix for condrestart in /etc/init.d/hplip
* Tue May 31 2005 - jsmeix@suse.de
- Updated to version 0.9.3
* Tue May 24 2005 - jsmeix@suse.de
- Fixed missing class prototypes, otherwise it fails with
  "error: ISO C++ forbids declaration of 'xxx' with no type".
* Tue May 17 2005 - jsmeix@suse.de
- Fix "... is used uninitialized ..." warnings.
* Wed May 04 2005 - jsmeix@suse.de
- Updated to version 0.9.2 which does no longer need
  the "fix C" (i.e. hplip-0.8.8.diff) from below.
* Sun Apr 10 2005 - coolo@suse.de
- fix C
* Tue Mar 22 2005 - jsmeix@suse.de
- Added PreReq.
* Thu Mar 17 2005 - jsmeix@suse.de
- Fixed a bug in HP-DeskJet_3740-hpijs.ppd.gz:
  According to hpijs_readme.html the DeskJet 3740 belongs to the
  DJ3320 device class.
* Tue Mar 08 2005 - jsmeix@suse.de
- Added %%suse_update_desktop_file stuff for hp-toolbox.
- Moved %%{_libdir}/libsane-hpaio.* to %%{_libdir}/sane/
  instead of creating symlinks (see Tue Mar 1 11:15:33).
* Tue Mar 01 2005 - jsmeix@suse.de
- Added python-xml to RPM requirements because otherwise
  hpssd (i.e. /usr/share/hplip/hpssd.py) doesn't work.
- Create symlinks (via '%%triggerin -- sane') to all
  %%{_libdir}/libsane-hpaio.* so that SANE will find them.
- Added kdebindings3-python to RPM requirements because otherwise
  hp-toolbox (i.e. /usr/share/hplip/toolbox) doesn't work.
* Tue Feb 22 2005 - jsmeix@suse.de
- Changed default media size from Letter to A4
  if this is an available choice in the PPD.
* Tue Feb 15 2005 - jsmeix@suse.de
- Updated to version 0.8.8, for details see ChangeLog and
  http://hpinkjet.sourceforge.net/updates.php
- Removed the "compatibility"-links because they are not needed.
- Fixed basic stuff in the init script (needs further improvement).
- Source should be x86_64 clean (SUSE patch no longer needed).
* Tue Feb 01 2005 - jsmeix@suse.de
- Updated to version 0.8.7, for details see ChangeLog and
  http://hpinkjet.sourceforge.net/updates.php
- Added triggerin and postun scripts to add and remove
  the SANE backend "hpaio" in /etc/sane.d/dll.conf
- Replaced hplip-0.8.4-models.xml.diff by
  hplip-0.8.7-models.xml.diff because the "HP LaserJet 1220"
  is now in the models.xml file but the entry is buggy.
* Tue Jan 25 2005 - jsmeix@suse.de
- Branched the sub-package hplip-hpijs which contains only
  the plain HPIJS binary so that Ghostscript can require
  only this sub-package (without all the other stuff).
- Added a link to the toolbox program to have it accessible
  via the user's PATH.
- Added the usual 'rc'-link to the runlevel script.
- Added the following RPM requirements regarding printing:
  hplip requires hplip-hpijs and foomatic-filters
  hplip-hpijs requires ghostscript_any
  (There are no RPM requirements regarding scanning because
  HPLIP will be also used for plain printers.)
- Exchanged the destructive line for the cupsd in the runlevel script
  because cupsd runs as user lp and dies in case of a SIGHUP.
* Tue Jan 18 2005 - jsmeix@suse.de
- patch hplip-0.8.4-models.xml.diff adds the "HP LaserJet 1220"
  to the list of known models of the SANE backend "hpaio"
* Wed Jan 12 2005 - sf@suse.de
- add --libdir=%%_libdir to build on multilib archs
- add patch for cups search path for backends
* Thu Dec 02 2004 - jsmeix@suse.de
- initial version
